using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using EARTHLib;

namespace GoogleEarthComTest
{
    public partial class Form1 : Form
    {
        IApplicationGE gEarth;

        public Form1()
        {
            InitializeComponent();
            gEarth = new ApplicationGE();            
        }

        private void buttonGetVersion_Click(object sender, EventArgs e)
        {
            MessageBox.Show("type: " + gEarth.VersionAppType.ToString() + "\r\n"
                + "version: " + gEarth.VersionMajor + "." + gEarth.VersionMinor + "." + gEarth.VersionBuild,
                "GoogleEarth Info");
        }

        private void buttonTest_Click(object sender, EventArgs e)
        {
            CameraInfoGE cam = new CameraInfoGE();
            cam.FocusPointLatitude = 35.3874;
            cam.FocusPointLongitude = 139.4285;
            cam.Range = 100;
            cam.Tilt = 70;
            cam.Azimuth = -49;
            gEarth.SetCamera(cam, trackBarSpeed.Value*0.1);
        }

        #region UI EVENT camera info
        private void getCameraInfo_Click(object sender, EventArgs e)
        {
            ICameraInfoGE cam = gEarth.GetCamera(1);
            textBoxLatitude.Text = cam.FocusPointLatitude.ToString(); // ܓx
            textBoxLongitude.Text = cam.FocusPointLongitude.ToString(); // ox
            textBoxRange.Text = cam.Range.ToString(); // x
            textBoxTilt.Text = cam.Tilt.ToString(); // X
            textBoxAzimuth.Text = cam.Azimuth.ToString(); // 
            textBoxAltitude.Text = cam.FocusPointAltitude.ToString(); // 
            textBoxAltitudeMode.Text = cam.FocusPointAltitudeMode.ToString();
        }

        private void buttonSetCameraInfo_Click(object sender, EventArgs e)
        {
            CameraInfoGE cam = new CameraInfoGE();
            cam.FocusPointLatitude = Double.Parse(textBoxLatitude.Text); // ܓx
            cam.FocusPointLongitude = Double.Parse(textBoxLongitude.Text); // ox
            cam.Range = Double.Parse(textBoxRange.Text); // x
            cam.Tilt = Double.Parse(textBoxTilt.Text); // X
            cam.Azimuth = Double.Parse(textBoxAzimuth.Text); // 
            cam.FocusPointAltitude = Double.Parse(textBoxAltitude.Text); // 

            gEarth.SetCamera(cam, trackBarSpeed.Value*0.1);

        }
        #endregion


    }
}