using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;
using System.Collections;

using Org.Shokai.Template;
using EARTHLib;

namespace PutPinHere
{
    public partial class FormPutPinHere : Form
    {

        private Simplate template;
        private IApplicationGE gEarth;

        public FormPutPinHere()
        {
            InitializeComponent();
            template = new Simplate();
            template.TemplateDirectory = new DirectoryInfo(
                new DirectoryInfo(Application.StartupPath).Parent.Parent.FullName + @"\template");
        }

        private void buttonStart_Click(object sender, EventArgs e)
        {
            if (gEarth == null) gEarth = new ApplicationGE();
            if (!timerPutPin.Enabled)
            {
                template.LoadTemplateFile("you.kml");
                putPin();
                timerPutPin.Enabled = true;
                buttonStart.Text = "Stop?";
            }
            else
            {
                timerPutPin.Enabled = false;
                buttonStart.Text = "Start!";
            }
        }

        private void timerPutPin_Tick(object sender, EventArgs e)
        {
            putPin();
        }

        private void putPin()
        {
            CameraInfoGE now = gEarth.GetCamera(1);

            Hashtable hash = new Hashtable();
            hash["icon_img"] = Application.StartupPath+@"\you.png";
            hash["lon"] = now.FocusPointLongitude.ToString();
            hash["lat"] = now.FocusPointLatitude.ToString();
            hash["alt"] = now.FocusPointAltitude.ToString();
            hash["range"] = now.Range.ToString();
            hash["tilt"] = now.Tilt.ToString();
            hash["alt_mode"] = now.FocusPointAltitudeMode.ToString();
            hash["heading"] = now.Azimuth.ToString();

            template.Process(hash);
            template.SaveResultFile("you.kml");

            gEarth.OpenKmlFile(Application.StartupPath + @"\you.kml", 1);
        }
    }
}